/*
 * manipulateAtomsTest.hpp
 *
 *  Created on: Feb 18, 2010
 *      Author: crueger
 */

#ifndef MANIPULATEATOMSTEST_HPP_
#define MANIPULATEATOMSTEST_HPP_

#include <cppunit/extensions/HelperMacros.h>

#define ATOM_COUNT (10)

class atom;

class manipulateAtomsTest : public CppUnit::TestFixture
{
  CPPUNIT_TEST_SUITE( manipulateAtomsTest );
  CPPUNIT_TEST ( testManipulateSimple );
  CPPUNIT_TEST ( testManipulateExcluded );
  CPPUNIT_TEST_SUITE_END();

public:
  void setUp();
  void tearDown();

  void testManipulateSimple();
  void testManipulateExcluded();

private:
  atom *atoms [ATOM_COUNT];
};

#endif /* MANIPULATEATOMSTEST_HPP_ */
